<script>
export default {
  props: {
    action: {
      type: String,
      required: true,
    },
    focus: {
      type: Boolean,
      default: true,
    },
    disabled: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<template>
  <button
    type="button"
    :aria-label="action"
    :class="[
      'flex-shrink-0',
      'flex items-center space-x-2',
      'p-1 rounded-sm border border-transparent focus:outline-none',
      { 'focus:ring-2 focus:ring-offset-2 focus:ring-indigo-700': focus },
      { 'cursor-default': disabled },
    ]"
    :disabled="disabled"
    @click="$emit('click')"
  >
    <slot />
    <span class="sr-only">{{ action }}</span>
  </button>
</template>